如何将两个命令合并为一个,以选择实体并在数量明细表中添加属性集



我正在尝试将autocad命令组合为一个。这些命令用于为明细表选择实体和添加属性集。

第一个命令是:计划选择添加第二个命令是:AecAddAllPropSets

到目前为止我的代码:

(defun c:upDateSchedule()
    (command "ScheduleSelectionAdd")
    (command "AecAddAllPropSets")
(princ)
)

我也试过这个:

(defun c:upDateSchedule()
    (command "ScheduleSelectionAdd" "" "AecAddAllPropSets" "")
(princ)
)

每次它只将我选择的实体添加到表中而不更新我的属性集,所以我在这里卡住了。

蒂亚

首先使用 ssget 获取所选内容,然后将所选内容传递给每个命令,例如:

(defun c:updateschedule ( / sel )
    (if (setq sel (ssget "_:L"))
        (command 
            "_.scheduleselectionadd" sel "" 
            "_.aecaddallpropsets"    sel ""
        )
    )
    (princ)
)

此处,:L模式字符串不包括锁定图层上的对象。

请注意,上述假设这些命令只有一个选择对象的提示。

相关内容

  • 没有找到相关文章

最新更新